org.apache.lucene.util

## Class ToStringUtils

- java.lang.Object
- - org.apache.lucene.util.ToStringUtils

-     public class ToStringUtils
      extends java.lang.Object

  Helper methods to ease implementing `Object.toString()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToStringUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `boost(float boost)` for printing boost only if not 1.0

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToStringUtils

          public ToStringUtils()

  - ### Method Detail

    - #### boost

          public static java.lang.String boost(float boost)

      for printing boost only if not 1.0

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.